import * as pds from '../service/pds';
import { call } from 'redux-saga/effects';

export function* refreshCatalog(payload) {
  return yield call(pds.refreshCatalog, payload);
}

export function* loadDataServiceCatalog() {
  return yield call(pds.loadDataServiceCatalog)
}

export function* loadStateCatalog(payload) {
  return yield call(pds.loadStateCatalog, payload);
}

export function* saveCatalog(payload) {
  return yield call(pds.saveCatalog, payload);
}

export function* deleteCatalog(payload) {
  return yield call(pds.deleteCatalog, payload);
}

export function* upDownCatalog(payload) {
  return yield call(pds.upDownCatalog, payload);
}

export function* getServices(payload) {
  return yield call(pds.getServices, payload);
}

export function* getGrantedServices(payload) {
  return yield call(pds.getGrantedServices, payload)
}

export function* getStateServices(payload) {
  return yield call(pds.getStateServices, payload)
}

export function* searchService(payload) {
  return yield call(pds.searchService, payload)
}

export function* getDataService(payload) {
  return yield call(pds.getDataService, payload)
}

export function* deleteService(payload) {
  return yield call(pds.deleteService, payload);
}

export function* recatalogService(payload) {
  return yield call(pds.recatalogService, payload);
}

export function* nextState(payload) {
  return yield call(pds.nextState, payload);
}

export function* checkoutService(payload) {
  return yield call(pds.checkoutService, payload);
}

export function* getCheckoutService(payload) {
  return yield call(pds.getCheckoutService, payload)
}

export function* getServiceDigest(payload) {
  return yield call(pds.getServiceDigest, payload)
}

export function* getVersions(payload) {
  return yield call(pds.getVersions, payload)
}

export function* getDataServiceLocation(payload) {
  return yield call(pds.getDataServiceLocation, payload)
}

export function* getSample(payload) {
  return yield call(pds.getSample, payload)
}

export function* enableOData(payload) {
  return yield call(pds.enableOData, payload)
}

export function* disableOData(payload) {
  return yield call(pds.disableOData, payload)
}

export function* authorize(payload) {
  return yield call(pds.authorize, payload)
}

export function* release(payload) {
  return yield call(pds.release, payload)
}

export function* offline(payload) {
  return yield call(pds.offline, payload);
}

export function* getSmartBiUrl(payload) {
  return yield call(pds.getSmartBiUrl, payload)
}

export function* getOwners() {
  return yield call(pds.getOwners)
}

export function* getDepartments() {
  return yield call(pds.getDepartments)
}

export function* saveOwner(payload) {
  return yield call(pds.saveOwner, payload)
}

export function* changeOwner(payload) {
  return yield call(pds.changeOwner, payload)
}

export function* saveCols(payload) {
  return yield call(pds.saveCols, payload);
}

export function* getCols(payload) {
  return yield call(pds.getCols, payload);
}

export function* getAttrs(payload) {
  return yield call(pds.getAttrs, payload);
}

export function* getJdbcInformation() {
  return yield call(pds.getJdbcInformation);
}

export function* subscribe(payload) {
  return yield call(pds.subscribe, payload);
}